# Chat Sounds
#### by Evaisa <3

**This mod adds 900+ chat sounds that play from your player when you say the sound name in chat.** 
It works in multiplayer and runs entirely locally so if you have the mod installed and others don't you will still hear sounds when others type them out. 
 
* You can also modify or stack sounds by using curly brackets  
   For example as such: `{1.0, 0.0, poggers}`.  
   The full format for this is: `{pitch, delay, start_time, end_time, sound}`.  
   You can string sounds together aswell using this, for example `{1.0, 0.0, poggers; 1.0, 0.5, ahoy}`.  
   The individual parts are seperated by semicolons or colons if you string multiple together.  
   If you leave out parameters they get set to default. Do note that the parameters need to be in order.  
   You can however leave parameters empty to set them to default.  
    
   `{1.0, poggers}` -> `{pitch, sound}`  
   `{1.0, 0.0, 0.1, poggers}` -> `{pitch, delay, start_time, sound}`  
   `{1.0,,0.1,,poggers}` -> `{pitch, delay, start_time, end_time, sound}`  
   `{poggers}` -> `{sound}`  
     
   You are also allowed to just have multiple instances of brackets per message.  
   However these will behave like a single instance.
   
   `this is pretty {poggers}, I say {ahoy}!` -> `{poggers; ahoy}`
   
   More examples:
   
   `{1,0,0,1.2,congratulations you won:1,1.1,0.5,2,youwilldie}` -> `Congratulations, you DIE`  
   `{1.0,,0.8,2.2,oh shit a rat}` -> `Ohhh shit!`  
   `{1.0,,0.8,3.0,oh shit a rat:1.0,2.3,1.4,2.1,glad to oblige a fellow scientist;}` -> `Ohhh shit a scientist`  
   `{1.3,,0.2,0.9,fucking based:1.1,0.55,,poggers}` -> `Fucking poggers!`  
   
* You can install custom sounds by simply dropping them in `config/ChatSounds/Custom Sounds`.
   Only `.ogg`, `.wav` and `.mp3` files are supported.
   The name of the sound is the phrase used to activated it.
   


   
Video of the mod:
https://www.youtube.com/watch?v=fajxEjkI0pg

Here is a list of sound strings: 
https://gist.github.com/EvaisaGiac/2daa14b511c35ea95220fe24b19cc360

If you want to bind chat messages to keys take a look at my other mod:
https://thunderstore.io/package/Evaisa/KeybindsGalore/


## Support Me

If you like what I am doing you can support me on my [kofi page](https://ko-fi.com/evaisa).


## Changelog


**2.0.2**

* Make the mod actually work with r2modman


**2.0.1**

* Add OnDisabled and OnDestroy handlers which should help prevent crashes and issues.
* Remove a mp3 file which was in the default sounds folder adding useless space.


**2.0.0**

* Rewrite mod to utilize WWise instead of AudioEngineFix
* 568 new sounds!
* New audio modifier, start and end time. -> `{pitch, delay, start_time, end_time, soundname}`
* Now allows users to leave parameters empty and sets defaults. `{,1.0,,,poggers}`
* Move all settings to game audio settings menu.
* Remove sound marker setting (Replaced with "Require Brackets")
* Added dedicated volume slider.
* Reupload under new thunderstore account.


**1.5.2**

* Fix stutter issue (I made a typo)


**1.5.1**

* Fixed a specific issue where it didn't play the right sound. 
* Possibly fix config issue but I doubt it.


**1.5.0**

* Use Risk of Options for in game options.
* Seperate volume slider into its own slider (in Risk of Options)
* Make spatial sound a option rather than enabled by default.
* Fix issue where sometimes the wrong sound was played because it just played the first match it found.


**1.4.2**

* Update for latest risk of rain version, I don't actually know if it was even broken but it was deprecated so I assume so lmao.


**1.4.1**

* Better distance falloff for sounds.
* Volume control now works in countries that use commas for decimals.


**1.4.0**

* Modified sound effects now show the name of the sound effect in the message that has been send rather than showing the brackets and everything.
* This means that "This is pretty {1.2, 0.0, poggers}" will show in chat as "This is pretty poggers"


**1.3.5**

* Volume is now adjusted when adjusting sound effects volume slider.


**1.3.1**

* Fix default pitch.


**1.3.0**

* Added sound modifiers, you can change the pitch and delay of sounds.


**1.2.0**

* Moved custom sounds to the config folder.
* Now works properly with r2modman.
* Added config option to disable all default sounds.


**1.1.1**

* It is case insensitive now.


**1.1.0**

* You can now add custom sounds.
* Created a folder for sounds, sounds can now be removed.
* Added the ability to set a activation character so that sounds don't accidentally get triggered.
* Now works locally, individual players can have the mod installed, not everyone needs it. 


**1.0.1**

* Add some new sounds because we didn't have enough already.


**1.0.0**

* Released the mod.


## Installation

* Drop the ChatSounds folder from the plugins folder in the zip in your plugins folder.
* Use r2modman for easier install of mods.
